import urllib

latitude = 53.0
longitude = 9.0

coords = open('allcoordsW30.csv','r')
wikipage = urllib.urlopen("http://wiki.xkcd.com/geohashing/%i,%i" % (latitude,longitude)).read()

output = open("%i,%i.kml" % (latitude,longitude),'w')
olddate = "0000-00"

output.write(open("start.kml_").read())
for line in coords:
	line = line.split(",")
	date = line[0]
	lat = float(line[2])+latitude
	lon = float(line[3])+longitude
	if date[0:7] != olddate[0:7]:
		if olddate != "0000-00": output.write("\t\t</Folder>\n")
		olddate = date
		output.write("\t\t<Folder>\n\t\t\t<name>%s</name>\n\t\t\t<open>0</open>\n" % date[0:7])
	output.write("\t\t\t<Placemark>\n\t\t\t\t<name>%s</name>\n" % date)
	if wikipage.find("%s_%i_%i" % (date,latitude,longitude)) != -1: output.write("\t\t\t\t<styleUrl>#grnpin</styleUrl>\n")
	else: output.write("\t\t\t\t<visibility>0</visibility>\n")
	output.write("\t\t\t\t<Point>\n\t\t\t\t\t<coordinates>%f,%f,0</coordinates>\n\t\t\t\t</Point>\n\t\t\t</Placemark>\n" % (lon,lat))
output.write("\t\t</Folder>\n")
output.write(open("end.kml_").read())